Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.elasticmapreduce.model
Class RunJobFlowResult

    java.lang.Object
      com.amazonaws.services.elasticmapreduce.model.RunJobFlowResult

    public class RunJobFlowResult

extends Object

The result of the RunJobFlow operation.

Constructor Summary
`RunJobFlowResult()`

Method Summary
`String` | `getJobFlowId()` An unique identifier for the job flow.
`void` | `setJobFlowId(String jobFlowId)` An unique identifier for the job flow.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`RunJobFlowResult` | `withJobFlowId(String jobFlowId)` An unique identifier for the job flow.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RunJobFlowResult

    public RunJobFlowResult()

Method Detail

### getJobFlowId

    public String getJobFlowId()

  An unique identifier for the job flow.

  Returns:
    An unique identifier for the job flow.

### setJobFlowId

    public void setJobFlowId(String jobFlowId)

  An unique identifier for the job flow.

  Parameters:
    `jobFlowId` - An unique identifier for the job flow.

### withJobFlowId

    public RunJobFlowResult withJobFlowId(String jobFlowId)

  An unique identifier for the job flow.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `jobFlowId` - An unique identifier for the job flow.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.